import { Meta, Story, StoryFnAureliaReturnType } from '@storybook/aurelia';

import { BsBreadcrumb, BsBreadcrumbItem } from '.';

const meta: Meta = {
  title: 'Bootstrap / Components / Breadcrumb',
  component: BsBreadcrumb,
  args: {
    divider: '/',
  },
};

export default meta;

const Overview: Story = (args): StoryFnAureliaReturnType => ({
  components: [BsBreadcrumbItem],
  innerHtml: `
    <bs-breadcrumb-item><a href="#" target="_self">Home</a></bs-breadcrumb-item>
    <bs-breadcrumb-item><a href="#" target="_self">Library</a></bs-breadcrumb-item>
    <bs-breadcrumb-item active.bind="true">Data</bs-breadcrumb-item>
  `,
  props: args,
});

const GraphicalDivider: Story = (args): StoryFnAureliaReturnType => ({
  components: [BsBreadcrumbItem],
  innerHtml: `
    <bs-breadcrumb-item><a href="#" target="_self">Home</a></bs-breadcrumb-item>
    <bs-breadcrumb-item><a href="#" target="_self">Library</a></bs-breadcrumb-item>
    <bs-breadcrumb-item active>Data</bs-breadcrumb-item>
`,
  props: args,
});

GraphicalDivider.args = {
  divider: `<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-caret-right-fill" viewBox="0 0 16 16"><path d="m12.14 8.753-5.482 4.796c-.646.566-1.658.106-1.658-.753V3.204a1 1 0 0 1 1.659-.753l5.48 4.796a1 1 0 0 1 0 1.506z"/></svg>`,
};

export { GraphicalDivider, Overview };
